Text to Video
curl --request POST \
--url https://api.modelhunter.ai/api/v1/vidu/text-to-video \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "<string>",
"input": {
"prompt": "<string>",
"duration": 123,
"aspect_ratio": "<string>",
"resolution": "<string>",
"style": "<string>",
"audio": true,
"seed": 123,
"off_peak": true
},
"webhookUrl": "<string>",
"metadata": {}
}
'import requests
url = "https://api.modelhunter.ai/api/v1/vidu/text-to-video"
payload = {
"model": "<string>",
"input": {
"prompt": "<string>",
"duration": 123,
"aspect_ratio": "<string>",
"resolution": "<string>",
"style": "<string>",
"audio": True,
"seed": 123,
"off_peak": True
},
"webhookUrl": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: '<string>',
input: {
prompt: '<string>',
duration: 123,
aspect_ratio: '<string>',
resolution: '<string>',
style: '<string>',
audio: true,
seed: 123,
off_peak: true
},
webhookUrl: '<string>',
metadata: {}
})
};
fetch('https://api.modelhunter.ai/api/v1/vidu/text-to-video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "task_abc123",
"status": "pending",
"type": "text-to-video",
"provider": "vidu",
"model": "viduq3-turbo",
"created_at": "2025-01-15T10:00:00Z",
"estimated_seconds": 30
}
}
{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}
{
"success": false,
"error": {
"code": "INSUFFICIENT_BALANCE",
"message": "Your balance is too low for this request"
}
}
Vidu
Text to Video
Generate a video from a text prompt using Vidu.
POST
/
api
/
v1
/
vidu
/
text-to-video
Text to Video
Check out Vidu pricing — enable
off_peak: true for 50% off.Body Parameters
string
required
Vidu model to use. Options:
viduq3-pro— Latest flagship, supports audio sync (1–16s), $0.07–$0.16/secviduq3-turbo— Fast Q3, supports audio sync (1–16s), $0.04–$0.08/sec
off_peak: true for 50% off.object
required
Provider-specific parameters for the generation request.
Show properties
Show properties
string
required
Text description of the video to generate. Max 2,000 characters.
number
Video length in seconds (1–16).
string
default:"16:9"
Output aspect ratio. Options:
16:9, 9:16, 1:1, 4:3, 3:4string
default:"720p"
Output resolution. Options:
540p, 720p, 1080pstring
default:"general"
Visual style. Options:
general, animeboolean
Enable audio-video sync output. Supported on
viduq3-pro and viduq3-turbo. Default true for Q3 models.number
Random seed for reproducibility.
boolean
default:false
Enable off-peak mode for 50% discount. Tasks complete within 48 hours.
string
URL to receive a webhook when the task completes.
object
Custom key-value metadata to attach to the task.
{
"success": true,
"data": {
"id": "task_abc123",
"status": "pending",
"type": "text-to-video",
"provider": "vidu",
"model": "viduq3-turbo",
"created_at": "2025-01-15T10:00:00Z",
"estimated_seconds": 30
}
}
{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}
{
"success": false,
"error": {
"code": "INSUFFICIENT_BALANCE",
"message": "Your balance is too low for this request"
}
}
⌘I